24/7 Australian Sales & SupportCall 13 24 85
View all Products Close Menu Menu
Which web browsers are compatible with TLS 1.2 and above
Updated Wednesday October 21st 2020 / Category Web Hosting

Basically all modern web browsers and operating systems support TLS 1.2, which means it will be unlikely that you will run into any problems while browser the web. Or when people visit your website.

However, some older browsers that are still used don’t support the newer versions of TLS encryption. Most notably older versions of Internet Explorer and older operating systems such as Windows XP will typically have compatibility issues.

Can’t find the answers you're looking for? Check out these other methods of support!